local SpeakUp = SpeakUp
local _G = _G
local PlaySoundFile, UnitIsDead, InCombatLockDown = PlaySoundFile, UnitIsDead, InCombatLockDown
local ipairs = ipairs

local function playsound(key)
	local file = SpeakUp.LSM:Fetch(SpeakUp.LSM.MediaType.SOUND, key)
	PlaySoundFile(file, "SFX")
end

function SpeakUp:eventHandler(this, event, arg1, ...)
	if event == "ADDON_LOADED" and arg1 == "SpeakUp" then if SpeakUpDB == nil then SpeakUpDB = {} end
	elseif event == "PLAYER_LOGIN" then
		--configure options
		self.defaults = {profile = {},}
		for _, e in ipairs(self.EventList) do
			self.defaults.profile[e.key] = false
			self.defaults.profile[e.key .. "sound"] = "None"
		end
		self.db = self.LS("AceDB-3.0"):New("SpeakUpDB", self.defaults, "profile")
		--add custom sounds and events
		for _, s in ipairs(self.CustomSounds) do self.LSM:Register(self.LSM.MediaType.SOUND, s.desc, "Interface\\Addons\\SpeakUp\\sounds\\" .. s.name .. ".ogg") end
		for _, e in ipairs(self.EventList) do if self.db.profile[e.key] then self.frame:RegisterEvent(e.event) end end
		self:createOptions()
	elseif event == "COMBAT_LOG_EVENT" then if UnitIsDead("pet") then playsound(self.db.profile.puusound) end
	else for _, e in ipairs(self.EventList) do if event == e.event then playsound(self.db.profile[e.key .. "sound"]) end end end
end

